Subject: [bug#75270] [PATCH v4 2/3] gnu: Add gtkgreet.

From: muradm <[email-masked]>
Date: Mon, 03 Feb 2025 02:40:22 +0300

Hi,

Maxim Cournoyer <[email-masked]> writes:

>>> Hm, that rebuilds gtkgreet just to change its theme?  Couldn't 
>>> its
>>> service be configurable and take care of that instead?
>>
>> There is nothing usable to extract into configuration. I found 
>> it
>> easier to configure package than to have alternative package 
>> inlined
>> into configuration. For instance 
>> `<greetd-gtkgreet-sway-session>` has
>> two fields holding packages `sway` and `gtkgreet`. Is there any 
>> way to
>> specify value of `gtkgreet` to hold multiple packages to 
>> achieve
>> similar effect wihout building package?
>
> If the configuration record allowed provided a 'assets' or 
> field, to put
> in the environment greetd/gtkgreet runs, coupled with a
> 'environment-variables' field, the user could add the 
> gnome-themes-extra
> package to the 'assets' field and pass "GTK_THEME=Adwaita:dark" 
> as an
> environment variable to be set in the environment.

I find it too complex to configure explicitly. Also greeter is 
somewhat
special program, for security, that should be run alone. Messing 
with
its environment, is not good idea.

> Your greetd-user-session already comes with 'extra-env', which 
> could
> accept the above.  It'd just need a new 'assets' field.  The
> lightdm-gtk-greeter-configuration can be used for inspiration. 
> The
> 'gdm-configuration' record also has a 'gnome-shell-assets' field 
> serving
> a similar purpose.

That `extra-env` is not intended for greeter environment, but for
user environment after login.

For now I dropped dark variant.